Skip to main content
GET
/
api
/
v1
/
data
/
executions
/
{id.project}
/
{id.domain}
/
{id.name}
Fetches input and output data for a :ref:`ref_flyteidl.admin.Execution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/data/executions/{id.project}/{id.domain}/{id.name}
{
  "outputs": {
    "url": "<string>",
    "bytes": "<string>"
  },
  "inputs": {
    "url": "<string>",
    "bytes": "<string>"
  },
  "full_inputs": {
    "literals": {}
  },
  "full_outputs": {
    "literals": {}
  }
}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User or system provided value for the resource.

Query Parameters

id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Response structure for WorkflowExecutionGetDataRequest which contains inputs and outputs for an execution.

outputs
object

Represents a string url and associated metadata used throughout the platform.

inputs
object

Represents a string url and associated metadata used throughout the platform.

full_inputs
object

A map of literals. This is a workaround since oneofs in proto messages cannot contain a repeated field.

full_outputs
object

A map of literals. This is a workaround since oneofs in proto messages cannot contain a repeated field.